<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Teacher_GenExamForm extends Controller_UserEnvi {
    
    public function action_do()
{
    
    $db = new Model_Teacher_GenExamForm;
    
    // Нужно изменить getStudentsForDiscipline!!!!
    $result = $db->getStudentsForDiscipline(1,1);
    
  //  echo Debug::vars(count($result));

    $rowsCount = count($result); // Получаем количество записей 
    
    $templateFile = "./docs/template credit.xls";
    if (!file_exists($templateFile)) {
        exit("template wasn't found" . PHP_EOL);
    }
    //echo date('H:i:s') , " Load from Excel2003 file" , PHP_EOL;
    $objPHPExcel = PHPExcel_IOFactory::load($templateFile);
	$objPHPExcel->setActiveSheetIndex(0);
	
	// fill header
	$range = $objPHPExcel->getNamedRange("Discipline")->getRange();
	$objPHPExcel->getActiveSheet()->setCellValue("$range", "");
	$range = $objPHPExcel->getNamedRange("Subdivision")->getRange();
	$range = $objPHPExcel->getNamedRange("Major")->getRange();	
	$range = $objPHPExcel->getNamedRange("Teacher")->getRange();
	$range = $objPHPExcel->getNamedRange("Course")->getRange();
	$range = $objPHPExcel->getNamedRange("Semester")->getRange();
	$range = $objPHPExcel->getNamedRange("Year")->getRange();
	$range = $objPHPExcel->getNamedRange("CreationDate")->getRange();
	$objPHPExcel->getActiveSheet()->setCellValue("$range", date("m.d.y"));
	$range = $objPHPExcel->getNamedRange("Date")->getRange();
	$objPHPExcel->getActiveSheet()->setCellValue("$range", "Дата зачета \n30.12.2014");
	
	// fill students rows
    $startRow = 12; 
    $finalRow = 52; 
    $indPosition = 'A'; // Номер 
    $namePosition = 'B';  // ФИО 
    $totalRatePosition = 'C';  // Итоговый рейтинг 
    $semesterRatePosition  = 'G';   // Сумма баллов
    $bonusRatePosition = 'H'; // Бонусные баллы
    $rowNumber = $startRow;
    $index = 1;
    for($i = 1; $i <= $rowsCount; ++$i){
   
        $lastName = $result[$i]['Last'];
        $firstName = $result[$i]['First'];
        $secondName = $result[$i]['Second'];
        $rate = $result[$i]['intermediate'];
        $bonus = $result[$i]['bonus'];
        $fullName = "$lastName  $firstName $secondName";
		$totalRate = $rate + $bonus;
       
    $objPHPExcel->getActiveSheet()->setCellValue("$indPosition$rowNumber", "$i")
                                  ->setCellValue("$namePosition$rowNumber", "$fullName")
								  ->setCellValue("$totalRatePosition$rowNumber", "$totalRate")
                                  ->setCellValue("$semesterRatePosition$rowNumber","$rate")
                                  ->setCellValue("$bonusRatePosition$rowNumber","$bonus");
    $rowNumber++;
    }    

	// delete rest rows
	$objPHPExcel->getActiveSheet()->removeRow($rowNumber+1, $finalRow);
   
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
    $objWriter->save(str_replace('.php', '.xls', __FILE__)); // TODO: change path
   
}
}
?>